<template>
  <div class="quiz">
    <v-container>
      <v-row justify="center" align="center" class="pb-6">
        <v-col class="text-center">
          <logo/>
        </v-col>
      </v-row>
      <v-row justify="center">
        <div v-for="(q, index) in quiz" :key="index"  class="text-center">
            <v-col xs="12" md="12" v-if="q.step === step">
                <p class="display-1">{{ q.title }}</p>
                <p class="headline pb-6">{{ q.subtitle }}</p>
                <v-textarea rows="3" outlined v-model="q.answer" v-if="q.type === 'input'"/>
                <v-radio-group v-model="q.answer" row v-if="q.type === 'select'">
                    <v-radio @change="next" class="select-option" v-for="option in q.options" :label="option" :value="option" :key="option"></v-radio>
                </v-radio-group>
                <div v-if="q.type==='multiselect'" class="px-10">
                    <v-btn 
                    elevation="0" 
                    rounded 
                    outlined
                    :color="q.answer.includes(option) ? 'primary' : ''"
                    class="ma-4" 
                    v-for="(option) in q.options" 
                    :key="option" 
                    @click="selectOption(option, q)">{{option}}</v-btn>
                </div>
                <div v-if="q.nextButton" class="mt-10">
                    <v-btn outlined large @click="next">{{q.buttonText}}</v-btn>
                </div>
            </v-col>
        </div>
      </v-row>
      <v-row v-if="step === 5" class="text-center" justify="center">
        <v-col xs="12" md="6">
          <p class="headline">Thank you for sharing</p>
          <p class="pb-4">Leave your email and we will reach out shortly</p>
          <v-text-field outlined v-model="email" label="Email address"/>
          <p class="text-center">Or signup to get more information</p>
          <signup-form/>
        </v-col>
      </v-row>
    </v-container>
    <v-footer absolute class="quiz-footer">
      <v-col cols="12">
        <v-btn text small @click="back">
          <v-icon class="mr-2">mdi-chevron-left</v-icon>
          Back
        </v-btn>
      </v-col>
    </v-footer>
  </div>
</template>

<script>
import SignupForm from '@/components/Shared/Auth/Signup'
import Logo from '@/components/Shared/UI/Logo'

export default {
  components: {
    SignupForm,
    Logo
  },
  head() {
    return {
      title: {
        inner: 'Quiz'
      },
      meta: [
        {
          name: 'description',
          content: `${this.appTitle} - We are here for you`,
          id: 'quiz'
        }
      ]
    }
  },
  data: () => ({
    step: 1,
    email: null,
    quiz: [
      {
        id: 1,
        step: 1,
        title: 'We are here for you',
        subtitle: 'Let us help you to find the support you need',
        key: null,
        nextButton: true,
        buttonText: 'next',
        answer: null
      },
      {
        id: 2,
        step: 2,
        title: 'What bothers you?',
        key: 'bothers',
        subtitle: null,
        type: 'input',
        nextButton: true,
        buttonText: 'next',
        answer: null
      },
      {
        id: 3,
        step: 3,
        title: 'Are you:',
        key: 'gender',
        subtitle: null,
        options: ['Male', 'Female', 'Non-binary'],
        type: 'select',
        nextButton: null,
        answer: null
      },
      {
        id: 4,
        step: 4,
        title: 'Do you have any of the following symptoms?',
        key: 'symptoms',
        subtitle: null,
        options: ['trouble sleeping', 'autoimmune disease', 'stress', 'lack of focuss', 'weight gain', 'loss of interest', 'anxiety', 'loss of appetite', 'migraines'],
        type: 'multiselect',
        nextButton: true,
        buttonText: 'next',
        answer: []
      }
    ]
  }),
  methods: {
    selectOption(option, q) {
      const index = q.answer.indexOf(option)
      if (index === -1) {
        q.answer.push(option)
      } else {
        q.answer.splice(index, 1)
      }
    },
    next() {
      this.step += 1
    },
    back() {
      if (this.step === 1) this.$router.go(-1)
      this.step -= 1
    }
  }
}
</script>

<style lang="scss" scoped>
.quiz {
  background-color: #fbf9f6;
  height: 100%;
  .select-option {
    border: 1px solid #333;
    border-radius: 4%;
    padding: 1rem 2rem;
  }
  .quiz-footer {
    background: transparent;
  }
}
</style>
